# Function getTransferWrappedWithPayloadAccounts

- getTransferWrappedWithPayloadAccounts(tokenBridgeProgramId, wormholeProgramId, payer, message, from, fromOwner, tokenChain, tokenAddress, cpiProgramId?): TransferWrappedWithPayloadAccounts

- #### Parameters

  - ##### tokenBridgeProgramId: PublicKeyInitData

  - ##### wormholeProgramId: PublicKeyInitData

  - ##### payer: PublicKeyInitData

  - ##### message: PublicKeyInitData

  - ##### from: PublicKeyInitData

  - ##### fromOwner: PublicKeyInitData

  - ##### tokenChain: number

  - ##### tokenAddress: Uint8Array | Buffer

  - ##### `Optional` cpiProgramId: PublicKeyInitData

  #### Returns TransferWrappedWithPayloadAccounts

  - Defined in platforms/solana/protocols/tokenBridge/src/utils/tokenBridge/instructions/transferWrappedWithPayload.ts:87

Generated using TypeDoc